Next: append, Up: Advanced tar [Contents][Index]

#### 4.2.1 The Five Advanced `tar` Operations

In the last chapter, you learned about the first three operations to `tar`. This chapter presents the remaining five operations to `tar`: `--append`, `--update`, `--concatenate`, `--delete`, and `--compare`.

You are not likely to use these operations as frequently as those covered in the last chapter; however, since they perform specialized functions, they are quite useful when you do need to use them. We will give examples using the same directory and files that you created in the last chapter. As you may recall, the directory is called `practice`, the files are ‘`jazz`’, ‘`blues`’, ‘`folk`’, and the two archive files you created are ‘`collection.tar`’ and ‘`music.tar`’.

We will also use the archive files ‘`afiles.tar`’ and ‘`bfiles.tar`’. The archive ‘`afiles.tar`’ contains the members ‘`apple`’, ‘`angst`’, and ‘`aspic`’; ‘`bfiles.tar`’ contains the members ‘`./birds`’, ‘`baboon`’, and ‘`./box`’.

Unless we state otherwise, all practicing you do and examples you follow in this chapter will take place in the `practice` directory that you created in the previous chapter; see prepare for examples. (Below in this section, we will remind you of the state of the examples where the last chapter left them.)

The five operations that we will cover in this chapter are:

`--append`
`-r`

  Add new entries to an archive that already exists.

`--update`
`-u`

  Add more recent copies of archive members to the end of an archive, if they exist.

`--concatenate`
`--catenate`
`-A`

  Add one or more pre-existing archives to the end of another archive.

`--delete`

  Delete items from an archive (does not work on tapes).

`--compare`
`--diff`
`-d`

  Compare archive members to their counterparts in the file system.

Next: append, Up: Advanced tar [Contents][Index]